import { toast } from "react-toastify";

export const snackBar = (text: string, callback?: () => void, timer?: number) => {
  toast.dismiss({ containerId: 'snackbar' });
  toast(text, { containerId: 'snackbar' });
  if(!!callback && typeof(callback) === 'function'){
    let time = timer || 3000;
    setTimeout(() => {
      callback();
    }, time);
  }
};

export const notiBar = (text: string, callback?: () => void, timer?: number) => {
  toast.dismiss({ containerId: 'notibar' });
  toast(text, { containerId: 'notibar' });
  if(!!callback && typeof(callback) === 'function'){
    let time = timer || 3000;
    setTimeout(() => {
      callback();
    }, time);
  }
};